#
# Cookbook:: gemstash
# Recipe:: default
#
# Copyright:: 2020, tecRacer Opensource, Apache-2.0.

include_recipe 'gemstash::prerequesites'

rbenv_gem 'gemstash' do
  version '2.1.0'
  rbenv_version node['gemstash']['ruby']['version']
  user 'gemstash'
end

template '/etc/gemstash.yml' do
  source 'gemstash.yml.erb'
  variables(
    base_path: node['gemstash']['base_path'],
    bind: node['gemstash']['bind'],
    cache_type: node['gemstash']['cache']['type'],
    cache_servers: node['gemstash']['cache']['servers'],
    db_adapter: node['gemstash']['db']['adapter'],
    db_url: node['gemstash']['db']['url'],
    db_options: node['gemstash']['db']['options'],
    puma_threads: node['gemstash']['puma']['threads'],
    rubygems_url: node['gemstash']['rubygems']['url']
  )
  # notifies :restart, 'swervice[gemstash]'
end

# Untested
# template '/etc/init/gemstash.conf' do
#   source 'gemstash.conf.erb'
#   mode 0644
# end if platform?('ubuntu') && node['os_version'] == '14.04'

case node['platform']
when 'ubuntu', 'debian'
  template '/etc/systemd/system/gemstash.service' do
    source 'gemstash.service.erb'
    mode '0644'
  end

when 'amazon', 'redhat'

  template '/etc/init.d/gemstash' do
    source 'gemstash.service.erb'
    mode '0755'
  end

end

# service 'gemstash' do
#   action [ :start ]
# end
